# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`hosts`](#hosts): Setup /etc/hosts

## Classes

### <a name="hosts"></a>`hosts`

Setup /etc/hosts

#### Examples

##### trivial include

```puppet
include hosts
```

##### with elements

```puppet
class { 'hosts':
  add_entries                => {
    'myhostname.example.com' => {
      'ipv4'                 => '127.0.0.1',
      'ipv6'                 => '::1',
      'aliases'              => ['myhostname', 'myname'],
      'comment'              => 'some string goes here'
    }
  }
}
```

#### Parameters

The following parameters are available in the `hosts` class:

* [`add_entries`](#add_entries)

##### <a name="add_entries"></a>`add_entries`

Data type: `Hash[Stdlib::Fqdn, Struct[{ Optional[ipv4] => Stdlib::IP::Address::V4::Nosubnet, Optional[ipv6] => Stdlib::IP::Address::V6::Nosubnet, Optional[aliases] => Array[Stdlib::Fqdn], Optional[comment] => String }]]`

host entries to add, see example for structure

Default value: `{}`

